Bug 1203718 (CVE-2015-1803) - CVE-2015-1803 libXfont: crash on invalid read in bdfReadCharacters
Summary: CVE-2015-1803 libXfont: crash on invalid read in bdfReadCharacters
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-1803
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1203720 1258892 1258893 1258894 1258895
Blocks: 1203722
TreeView+ depends on / blocked
 
Reported: 2015-03-19 14:11 UTC by Martin Prpič
Modified: 2019-09-29 13:30 UTC (History)
5 users (show)

Fixed In Version: libXfont 1.5.1, libXfont 1.4.9
Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was discovered in the way libXfont processed certain Glyph Bitmap Distribution Format (BDF) fonts. A malicious, local user could use this flaw to crash the X.Org server.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:40:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1708 normal SHIPPED_LIVE Important: libXfont security update 2015-09-03 15:26:36 UTC

Description Martin Prpič 2015-03-19 14:11:21 UTC
If the bdf parser failed to parse the data for the bitmap for any character, it would proceed with an invalid pointer to the bitmap data and later crash when trying to read the bitmap from that pointer.

A local user could exploit this issue to crash the X.Org server.

Upstream patch:

http://cgit.freedesktop.org/xorg/lib/libXfont/commit/?id=78c2e3d70d29698244f70164428bd2868c0ab34c

External References:

http://www.x.org/wiki/Development/Security/Advisory-2015-03-17/

Comment 1 Martin Prpič 2015-03-19 14:15:01 UTC
Created libXfont tracking bugs for this issue:

Affects: fedora-all [bug 1203720]

Comment 2 Fedora Update System 2015-03-23 07:17:13 UTC
libXfont-1.5.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 errata-xmlrpc 2015-09-03 11:26:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:1708 https://rhn.redhat.com/errata/RHSA-2015-1708.html

Comment 5 ddu 2015-09-07 05:07:44 UTC
Hi guys,

Does this problem CVE affect libXfont shipped with RHEL5?

Best regards,
Dapeng

Comment 6 Matt Goldman 2015-09-07 14:08:40 UTC
Dapeng,

Yes, from the whiteboard RHEL 5 is affected:

  rhel-5/libXfont=affected

However, RHEL 5 has entered Production Phase 3 as of January 31, 2014. As per our errata policy:
    
    "During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available."
    Red Hat Enterprise Linux Life Cycle
    https://access.redhat.com/support/policy/updates/errata#Production_3_Phase

This means that Red Hat will not be addressing Low, Moderate, or Important impact CVE's in relation to RHEL 5.

Comment 7 ddu 2015-09-08 05:07:14 UTC
Hi Matt,

Thank you for your comment.

So there is some possibility that this problem will be fixed in rhel5, right?

But we can not guarantee that.

Comment 8 Matt Goldman 2015-09-08 13:06:41 UTC
Dapeng,

Correct. Likely, this will not be fixed in RHEL 5.


Note You need to log in before you can comment on or make changes to this bug.